Anonymous Login
2019-04-24 15:01 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000957v3.0 Release[All Projects] Generalpublic2013-08-28 11:26
Reporterpcrbr 
Assigned Tocaseydk 
PriorityhighSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0.0 
Summary0000957: Cannot close task - data error
DescriptionHi,

After updated to v2.4, users cannot close tasks that are opened and closed the same day.

When try to close the task, the error are showed:

--
CTask::store-check failed - task start date is after task end date Task Log stored CTask::store-check failed - task start date is after task end date
--

For the message, the date was wrong, but this is not correct. The start date and close are the same and in the error is said that start date is after end date.

Steps to reproduce:

On v2.4, open a task in a project.
Insert a new log on this task with progress at 100%
Add some description
Click on "update task"

The task will be updated, the description will be inserted, the email will sent to the task owner, but the task not close and the system generate a "CTask::store-check failed - task start date is after task end date Task Log stored".

If you back to the task detail, the progress remain 0%.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0002210

pcrbr (reporter)

The Reproducibility is always.

Can someone confirm this?

~0002258

caseydk (administrator)

Resolved here: https://github.com/caseysoftware/web2project/commit/3527d7097b585a1bd6e50af4a348f9375a957455
+Notes

-Issue History
Date Modified Username Field Change
2011-09-08 04:05 pcrbr New Issue
2011-09-20 04:17 pcrbr Note Added: 0002210
2011-09-27 23:18 caseydk Project v2.4 Release (Closed) => v3.0 Release
2011-09-27 23:47 caseydk Priority normal => high
2011-10-19 16:44 caseydk Note Added: 0002258
2011-10-19 16:44 caseydk Status new => resolved
2011-10-19 16:44 caseydk Resolution open => fixed
2011-10-19 16:44 caseydk Assigned To => caseydk
2013-08-28 11:13 caseydk Fixed in Version => 3.0.0
2013-08-28 11:26 caseydk Status resolved => closed
+Issue History